org.openstreetmap.josm.plugins.streetside.mode

## Class JoinMode

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.openstreetmap.josm.plugins.streetside.mode.AbstractMode
    - - org.openstreetmap.josm.plugins.streetside.mode.JoinMode

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener, NavigatableComponent.ZoomChangeListener

      public class JoinMode
      extends AbstractMode

  In this mode the user can join pictures to make sequences or unjoin them.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideImportedImage` | `lastClick`
    `private MouseEvent` | `lastPos`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.mode.AbstractMode

      `cursor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinMode()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseMoved(MouseEvent e)`
    `void` | `mousePressed(MouseEvent e)`
    `void` | `paint(Graphics2D g, MapView mv, Bounds box)` Paint the dataset using the engine set.
    `String` | `toString()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.mode.AbstractMode

      `getClosest, resetThread, zoomChanged`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastClick

          private StreetsideImportedImage lastClick

    - #### lastPos

          private MouseEvent lastPos

  - ### Constructor Detail

    - #### JoinMode

          public JoinMode()

      Main constructor.

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseAdapter`

    - #### paint

          public void paint(Graphics2D g,
                            MapView mv,
                            Bounds box)

      Description copied from class: `AbstractMode`
      Paint the dataset using the engine set.
      Specified by:
        `paint` in class `AbstractMode`
      Parameters:
        `g` - `Graphics2D` used for painting
        `mv` - The object that can translate GeoPoints to screen coordinates.
        `box` - Area where painting is going to be performed

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

JOSM Plugins